<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Inventory Management System</title>
	<link rel="stylesheet" href="styles.css" type="text/css">

<script>
function submitRequest()
{
	/* retreive the values from the form */
	const productValue = document.getElementById("product").value;
	const updateValue = document.getElementById("update").value;
	/* get the values for all radio buttons */
	const radioValues = document.getElementsByName("operation");
	/* retreive only the value for the checked button */
	radioValues.forEach((operation) => {
		if (operation.checked)
		{
			operationValue = operation.value;
		}
	});

	const parameters = "product="+productValue+"&update="+updateValue+"&operation="+operationValue;

	/* create and send a HTTP request via AJAX */
	var request = new XMLHttpRequest();
	request.open("POST", "update.php", true);
	request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	request.send(parameters);

	request.onreadystatechange = function()
	{
		if (this.readyState === 4 && this.status === 200)
		{
			document.getElementById("message").innerHTML = this.responseText;
		}
	};
}
</script>
</head>
<body>

<h1>Inventory Management System</h1>

<?php
$query = 'SELECT * FROM inventory';

/* opening the sqlite database file */
$dbfile = new PDO('sqlite:../inventory.db3');

/* run the query */
$query = $dbfile->query($query);
$results = $query->fetchAll();
$dbfile = null;

/* display the inventory table */
print("<table>\n");
print("<colgroup>\n");
print("<col span=\"1\" style=\"width: 15%;\">\n");
print("<col span=\"1\" style=\"width: 70%;\">\n");
print("<col span=\"1\" style=\"width: 15%;\">\n");
print("</colgroup>\n");
print("<tr><th>Reference</th><th>Name</th><th>Quantity</th></tr>\n");

foreach ($results as $value)
{
	print("<tr><td class=\"center\">".$value['ProductReference']."</td><td>".$value['ProductName']."</td><td class=\"center\">".$value['Quantity']."</td></tr>\n");
}

print("</table>\n");

print ("<fieldset>\n");

/* product selection form */
print ("<div id=\"name\">\n");
print ("<label>Product Name</label>\n");
print ("<select id=\"product\">\n");

/* list all product references in the database */
foreach ($results as $value)
{
	print ("<option value=\"$value[ProductReference]\">$value[ProductName]</option>\n");
}
print ("</select>\n");
print ("</div>\n");

/* update operation form */
print ("<div id=\"quantity\">\n");
print ("<label>Quantity Update</label>\n");
print ("<input type=\"number\" id=\"update\" value=\"0\" min=\"1\" max=\"99\"><br>\n");
print ("<input type=\"radio\" name=\"operation\" value=\"add\">Add<br>\n");
print ("<input type=\"radio\" name=\"operation\" value=\"remove\">Remove<br>\n");
print ("</div>\n");

print ("<button type=\"button\" onclick=\"submitRequest()\">Update</button>\n");

print ("<div id=\"message\">\n");
print ("</div>\n");

print ("</fieldset>\n");

?>
</body>
</html>
