function refreshPage()
{
	window.location.reload();
}

function resetForm()
{
	document.getElementById("product").value="000000";
	document.getElementById("update").value="0";
	document.getElementById("radioAdd").checked = false;
	document.getElementById("radioRemove").checked = false;
}

function submitRequest()
{
	/* retreive the values from the form */
	const productValue = document.getElementById("product").value;
	const updateValue = document.getElementById("update").value;
	/* get the values for all radio buttons */
	const radioValues = document.getElementsByName("operation");
	/* retreive only the value for the checked button */
	radioValues.forEach((operation) => {
		if (operation.checked)
		{
			operationValue = operation.value;
		}
	});

	/* check that the values are acceptable */
	if (productValue.length == 6)
	{
		/* productValue = 439 plus 3 digits */
		const regularExpression = /439\d{3}/;
		const reTest = regularExpression.test(productValue);
		if (!reTest)
		{
			document.getElementById("message").innerHTML = "<p class=\"warning\">Incorrect product</p>";
			resetForm();
			return false;
		}
	}
	else
	{
		document.getElementById("message").innerHTML = "<p class=\"warning\">Incorrect product</p>";
		resetForm();
		return false;
	}

	/* updateValue = integer between 1 and 99 */
	if ((updateValue < 1) || (updateValue > 99))
	{
		document.getElementById("message").innerHTML = "<p class=\"warning\">Incorrect value</p>";
		resetForm();
		return false;
	}

	/* check that the value will not drop to zero or lower */
	const currentValue = Number(document.getElementById("qty_"+productValue).innerHTML);
	if ((currentValue - updateValue) <= 0)
	{
		document.getElementById("message").innerHTML = "<p class=\"warning\">You cannot remove more products than the current quantity.</p>";
		resetForm();
		return false;
	}

	/* operationValue = only 'add' and 'remove' */
	/* warning: if no option is checked the form submission is not processed */
	/* no error message will be displayed */
	if ((operationValue !== "add") && (operationValue !== "remove"))
	{
		document.getElementById("message").innerHTML = "<p class=\"warning\">Incorrect operation</p>";
		resetForm();
		return false;
	}

	const parameters = "product="+productValue+"&update="+updateValue+"&operation="+operationValue;

	/* create and send a HTTP request via AJAX for the feedback message */
	var requestMessage = new XMLHttpRequest();
	requestMessage.open("POST", "update.php", true);
	requestMessage.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	requestMessage.send(parameters);

	requestMessage.onreadystatechange = function()
	{
		if (this.readyState === 4 && this.status === 200)
		{
			/* display the feedback message */
			document.getElementById("message").innerHTML = this.responseText;
		}
	};

	/* create and send a HTTP request via AJAX for the table */
	var requestTable = new XMLHttpRequest();
	requestTable.open("GET", "table.php");
	requestTable.send();

	requestTable.onreadystatechange = function()
	{
		if (this.readyState === 4 && this.status === 200)
		{
			/* display the table */
			document.getElementById("tableContent").innerHTML = this.responseText;
		}
	};

	resetForm();
}
